#delimit;

*File used: C:\statalang\adulthealth\healthmeasurementsmodule.dta, from access database*;
*program labels and orders Adult Health Module Variables*;

clear all;

use C:\statalang\adulthealth\healthmeasurementsmodule.dta,replace;

label data "Adult Health Measurements Module";

rename Househol Hhid;

destring Hhid PCode ; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code"; 	    	
label var  ModuleRe  "Cover Q2 Name of respondent";	
label var  DayOfVis  	"Cover Q3 Day of visit";
label var  MonthOfV  "Cover Q3 Month of visit";	
label var  YearOfVi  	"Cover Q3 Year of visit";
label var  Intervie  	"Cover Q4 Interviewer code";
label var  Intervi1  	"Cover Q4 Interviewer code";
label var  ModuleSt  	"Cover Q5 Starting hour of module";
label var  ModuleS1  "Cover Q5 Starting minute of module";	
label var  ModuleEn  "Cover Q6 Ending hour of module";	
label var  ModuleE1  "Cover Q6 Ending minute of module";	
label var  Cooperat  	"Cover Q7 Co-operation level of respondent";
label var  Addition  	"Cover Q8 Additional comments";
label var  Referral  	"Cover Q9 Referral to clinic for high blood pressure";
label var  HighBloo  	"QL1.1a Has a doctor etc. ever told you that you have high blood pressure?";
label var  FirstTim  	"QL1.1b If yes when was the first time you were told?";
label var  TakeMedi  	"QL1.1c Do you currently take medication from a doctor for high BP?";
label var  Height	"QL2 Height (centimetres)";
label var  Weight "QL3 Weight (kilograms)";	
label var  Waist   "QL4 Waist (centimetres)";	


compress;
sort Hhid PCode;

save  C:\statalang\adulthealth\adulthealth_01.dta,replace;








	    					
l



