*label section B14 page 25 of HHmodule*
*Source file is HouseholdBorrow -access database*

#delimit;
clear all;

use c:\statalang\householdmod\householdbor.dta,replace;

rename Househol Hhid;

sort Hhid;
destring Hhid;

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803; 



label var Hhid "Household ID";
label var BankBorr "QB14.1a Borrowed from bank?";
label var BankReas "QB14.1b What was borrowed for?";
label var BankAmou "QB14.1c How much borrowed?";
label var BankStil "QB14.1d Still paying back?";
label var BankMont "QB14.1e Monthly payment?";
label var BankMon1 "QB14.1f How many months to pay off?";
label var BankYear "QB14.1f How many years to pay off?";
label var Employer "QB14.2a Borrowed from employer?";
label var Employe1 "QB14.2b What borrowed for?";
label var Employe2 "QB14.2c How much borrowed?"; 
label var Employe3 "QB14.2d Still paying back?";
label var Employe4 "QB14.2e Monthly payment?";
label var Employe5 "QB14.2f How many months to pay off?";
label var Employe6 "QB14.2f How many years to pay off?";
label var FamilyBo "QB14.3a Borrowed from family/friend?";
label var FamilyRe "QB14.3b What borrowed for?";
label var FamilyAm "QB14.3c How much borrowed?";
label var FamilySt "QB14.3d Still paying back?";
label var FamilyMo "QB14.3e Monthly payment?";
label var FamilyM1 "QB14.3f How many months to pay off?";
label var FamilyYe "QB14.3f How many years to pay off?";
label var LenderBo "QB14.4a Borrowed from money lender?";
label var LenderRe "QB14.4b What borrowed for?";
label var LenderAm "QB14.4c How much borrowed?";
label var LenderSt "QB14.4d Still paying back?";
label var LenderMo "QB14.4e Monthly payment?";
label var LenderDa "QB14.4f How many days to pay off?";
label var LenderM1 "QB14.4f How many months to pay off";
label var LenderYe "QB14.4f How many years to pay off?";
label var StokvelB "QB14.5a Borrowed from Stokvel?";
label var StokvelR "QB14.5b What borrowed for?";
label var StokvelA "QB14.5c How much borrowed?";
label var StokvelS "QB14.5d Still paying back?";
label var StokvelM "QB14.5e Monthly payment?";
label var Stokvel1 "QB14.5f How many months to pay off?";
label var StokvelY "QB14.5f How many years to pay off?";
label var OtherBor "QB14.6a Borrowed from other?";
label var OtherDes "QB14.6a Description of other";
label var OtherRea "QB14.6b What borrowed for?";
label var OtherAmo "QB14.6c How much borrowed?";
label var OtherSti "QB14.6d Still paying back?";
label var OtherMon "QB14.6e Monthly payment?";
label var OtherMo1 "QB14.6f How many months to pay off?";
label var OtherYea "QB14.6f How many years to pay off?";

sort Hhid;
compress;

save c:\statalang\householdmod\householdbor_01.dta,replace;
