*This labels the file householddie.dta after*
*conversion from access database*

#delimit;
clear all;

use c:\statalang\householdmod\householddie.dta,replace;

rename Househol Hhid;

sort Hhid;

destring Hhid;


*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;



label data "Household module QA3.1-QA3.9 Page 12";

label var Hhid "Household ID";
rename NamePers NameP_D;
label var NameP_D "QA3.1 Name of person who died";
label var DCode "QA3.1 Code of person who died from grid";
rename Sex Sex_d;
label var Sex_d "QA3.3 Sex of person who died";
rename HeadOfHo HeadOf_d;
label var HeadOf_d "QA3.4 Was this head of HH?";
rename Relation Relat_d;
label var Relat_d "QA3.5 Relationship to head";
rename YearBorn YearB_d;
label var YearB_d "QA3.6 Year born?";
rename HighestE HighE_d;
label var HighE_d "QA3.7 Highest education";
label var CauseOfD "QA3.8 Cause of death";

compress;
sort Hhid;

save c:\statalang\householdmod\householddie_01.dta,replace;"




