*This labels file householddtcmemb.dta from*
*access database*

*Some recoding is done here to make merging easier, DTC code is =to PCode anyway.*


#delimit;

clear all;

use c:\statalang\householdmod\householddtcmemb.dta,replace;

label data "Houshold module QB18.2b page 28";

rename Househol Hhid;
destring Hhid; *STB37*

sort Hhid;



label var Hhid "Household ID";
rename DTCMembe DTCcode;
gen DTCmem=1;
label define dtc 1 "Yes";
label val DTCmem dtc;
label var DTCmem "QB18.2b member of DTC";
rename DTCcode PCode;
label var PCode "Person Code";

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;
 

destring PCode;

compress;
sort Hhid PCode;

save c:\statalang\householdmod\householddtc_01.dta,replace;





