*This labels file householdhelp.dta from*
*the access data base*

#delimit;
clear all;

use c:\statalang\householdmod\householdhelp.dta,replace;

label data "Household module QB19.6 Page 29";

rename Househol Hhid;
label var Hhid "Household ID";
destring Hhid; *stb37*;


label var HelpCode "QB19.6 Code of person who helped answer";

destring HelpCode; *stb37*;

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;

compress;
sort Hhid;

save c:\statalang\householdmod\householdhelp_01.dta,replace;
