*This file labels C:\statalang\householdinc.dta*
*from access data base*

#delimit;
clear all;

use C:\statalang\householdmod\householdinc.dta,replace;

label data "Household module QB1 pg 20 Income";

rename Househol Hhid;
destring Hhid PCode; *program from STB-37*

order Hhid PCode;
sort Hhid PCode;


*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;




label var Hhid "Household ID";
label var PCode "Person Code";
label var OldAgePe "QB1.1 State old age pension";
label var Veterans "QB1.2 Veterans pension";
label var Disabili "QB1.3 Disability pension";
rename Employer Empl_old;
label var Empl_old "QB1.4 Employer pension old age";
rename Employe1 Empl_com; 
label var Empl_com "QB1.5 Employer pension workers comp";
label var UIF "QB1.6 Unemployment insurance";
label var StateGra "QB1.7 State maintenance grant";
label var PrivateG "QB1.8 Private main. grant";
label var NewChild "QB1.9 New child grant";
label var FosterCa "QB1.10 Foster care grant";
label var CareGran "QB1.11 Care dependency grant";
label var Retireme "QB1.12 Personal retirement fund";
label var Earnings "QB1.13 Earnings from work";
label var Savings "QB1.14 Savings/interest";
label var Religiou "QB1.15 Religious organisation";
label var Property "QB1.16 Lodgers property rent";
label var MoneyOut "QB1.17 From outside hh";
label var GoodsOut "QB1.18 Goods from outside hh";
label var MoneyIns "QB1.19 Money from inside hh";
label var GoodsIns "QB1.20 Goods from inside hh";
rename Other Otherinc;  
label var Otherinc "QB1.21 Other sources";
rename OtherDes Otherind;
label var Otherind "QB1.21 description of other";

compress;
sort Hhid PCode;

save c:\statalang\householdmod\householdinc_01.dta,replace;




