#delimit;

*File Used: householdmembers.dta*
*This file labels the data and variables after
* transfer from the access data base*;

clear all;
use c:\statalang\householdmod\householdmembers.dta,replace;

rename Househol Hhid;

label data "Household module pages 4-10";

label var Hhid  "Household ID";
label var PCode "Person Code";
label var Name  "QA1.1 Persons name from grid";
rename Sex Gender;
label var Gender  "QA1.2- 1 male, 2 female";
label var Relation "QA1.3 - Relationship to head";
label var Relatio1 "QA1.3 Description of other";
label var YearBorn "Q1.4 Year born";
label var  AgeNow "Q1.4 Age now";
label var AlwaysLi "QA1.4a- Always lived in HH?";
label var HighestE "QA1.5 - Highest education level";
label var  YearAchi "QA1.5a - Year achieved";
label var AgeAchie "QA1.5a - Age acheived";
label var  AbleToRe "QA1.5b - Able to read/write";
label var  InSchool "QA1.5d - In school/studying?";
label var WhyNotIn "QA1.5e - Why not in school?";
label var  NotInSch "QA1.5e Description of other";
label var  MaritalS "QA1.6a - Marital Status";
label var   PartnerL "QA1.6b - Partner live in hh?";
label var NameOfPa "QA1.6c - Name of partner";
label var CodeOfPa "QA1.6c - Code of partner";
label var Polygamo "QA1.6d - Polygamous marriage";
label var YearDivo "QA1.6e - Year divorced, died";
label var MotherAl "QA1.7a - Mother alive and in house";
label var  MotherCo "QA1.7b - Mothers code from board";
label var  FatherAl "QA1.7c - Father alive and in house";
label var FatherCo "QA1.7d - Fathers code from board";
label var  LiveAnot "QA1.8 - Living in another home";
label var WeeksAno "QA1.8a - Weeks away in past 12 months";
label var ReasonFo "QA1.8d - Reason for absence";
label var AbsenceO "QA1.8d - Description of other";
label var Permanen "QA1.8e - Permenant home";
label var TownBorn "QA1.9 - Town born";
label var Province "QA1.9a - Province located";
label var LiveInAr "QA1.9b - Lived most/all life here";
label var MostOrAl "QA1.9c - Most/all";
label var LiveSome "QA1.9d - Lived someehere else?";
label var YearsAgo "QA1.9e - Years ago moved back";
label var TownMove "QA1.9f - What town moved from";
label var  Provinc1 "QA1.9g - In what province is that?";

destring Hhid PCode; *program from STB-37*


*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;

format Hhid %10.0f;

*value labels*
label def edcat 0 "No education" 1 "SubA/SubB/STD1" 2 "STD2" 3 "STD3" 4 "STD4
" 5 "STD5" 6 "STD6/FORM1" 7 "STD7/FORM2" 8 "STD8/FORM3/JR.CERT" 9 "STD9/FORM4
" 10 "STD10/FORM5/SR. CERT" 11 "STD7/8/9 + DIPLOMA" 12 "STD10 +TEACHER TRAIN"
13 "STD10 + NURSING" 14 "STD10+TECHNIKON" 15 "STD10 + SOME UNIV" 16 "COMPLET
ED UNIV" 17 "DON'T KNOW";
 
label val HighestE edcat;


order Hhid PCode;
sort Hhid PCode;
compress;
save c:\statalang\householdmod\householdmembers_01.dta,replace; 
