*This file labels C:\statalang\householdmod\householdorganization.dta from access data base*

#delimit;
clear all;

use C:\statalang\householdmod\householdorganization.dta,replace;

label data "Household Module QB18 Pg. 27 Organisations";

rename Househol Hhid;

destring Hhid;

label var Hhid "Household ID";
label var Governme "QB18a.1 Government welfare department";
label var Governm1 "QB18b.1 If yes what reason?";
label var Governm2 "Q18b.1 Description of other";
label var Governm3 "Q18c.1 Contact satisfactory?";
label var Governm4 "Q18d.1 Not satisfactory why?";
label var LocalAut "Q18a.2 Local auth. welfare dept.";
label var LocalAu1 "Q18a.2 Name of local authority";
label var LocalAu2 "Q18b.2 If yes what reason?";
label var LocalAu3 "Q18b.2 Description of other";
label var LocalAu4 "Q18c.2 Contact satisfactory?";
label var LocalAu5 "Q18d.2 Not satisfactory why?";
label var Register "Q18a.3 Registered welfare organisation";
label var Registe1 "Q18a.3 Name of organisation?";
label var Registe2 "Q18b.3 If yes what reason?";
label var Registe3 "Q18b.3 Description of other";
label var Registe4 "Q18c.3 Contact satisfactory?";
label var Registe5 "Q18d.3 Not satisfactory why?";

label var Communit "Q18a.4 Community welfare organisation";
label var Communi1 "Q18a.4 Name of organisation?";
label var Communi2 "Q18b.4 If yes what reason?";
label var Communi3 "Q18b.4 Description of other";
label var Communi4 "Q18c.4 Contact satisfactory?";
label var Communi5 "Q18d.4 Not satisfactory why?";

label var Religiou "Q18a.5 Religious welfare organisation";
label var Religio1 "Q18a.5 Name of organisation?";
label var Religio2 "Q18b.5 If yes what reason?";
label var Religio3 "Q18b.5 Description of other";
label var Religio4 "Q18c.5 Contact satisfactory?";
label var Religio5 "Q18d.5 Not satisfactory why?";

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;  




compress;
sort Hhid;

save C:\statalang\householdmod\householdorganise_01.dta,replace;















