*This file labels C:\statalang\householdmod\householdpersonspresent.dta from access data base*

#delimit;
clear all;

use C:\statalang\householdmod\householdpersonspresent.dta,replace;

label data "Household Module QA0.1 persons present pg3.";

rename Househol Hhid;

destring Hhid;

label var Hhid "Household ID";
rename Name Name_pp;
label var Name_pp "QA0.1 Names of persons present";

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803; 

compress;
sort Hhid;

save c:\statalang\householdmod\hhpresent_01.dta,replace;
