*This file labels C:\statalang\householdmod\householdsanitat.dta from access data base*

#delimit;
clear all;

use C:\statalang\householdmod\householdsanitat.dta,replace;

label data "Household module Sanitation/water QA9 Pg.18";

rename Househol Hhid;

destring Hhid;

label var Hhid "Household ID";

rename Dwelling Dwell_in;
label var Dwell_in "QA9a Flush toilet in dwelling";
label var Dwellin1 "QA9a None in dwelling";
label var Dwellin2 "QA9a Water source in dwelling";

label var OnSiteFl "QA9b Flush toilet on site";
label var OnSiteCh "QA9b Chemical toilet on site";
label var OnSitePi "QA9b Pit latrine on site";
label var OnSiteBu "QA9b Bucket toilet on site";
label var OnSiteNo "QA9b None on site";
label var OnSiteWa "QA9b Water source on site";

label var OffSiteF "QA9c Flush toilet off site";
label var OffSiteC "QA9c Chemical toilet off site";
label var OffSiteP "QA9c Pit latrine off site";
label var OffSiteB "QA9c Bucket toilet off site";
label var OffSiteN "QA9c None off site";
label var OffSiteW "QA9c Water source off site";

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;  

compress;
sort Hhid;

save c:\statalang\householdmod\hhsanwater_01.dta,replace;

