*This file labels C:\statalang\householdmod\householdwelfaremember.dta*

#delimit;
clear all;

use C:\statalang\householdmod\householdwelfaremember.dta,replace;

label data "Household Module QB18.3a pg 28.";

rename Househol Hhid;

destring Hhid;

label var Hhid "Houshold ID";
rename WelfareM WelfM_C;
label var WelfM_C "QB18.3a Person code of welfare member";

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;  

compress;
sort Hhid;

save c:\statalang\householdmod\hhwelfaremem_01.dta,replace;
