#delimit;

*File used: C:\statalang\older\olderlanguag.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use C:\statalang\older\olderlanguag.dta,replace;

label data "Section G11.2  Older Module languages used for interview";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
rename Language Lang_old;
label var Lang_old "QG11.2 Languages used in interview?";
rename Other Othold_L;
label var Othold_L "QG11.2 Description of other language?";

format Hhid %10.0f;

compress;
sort Hhid PCode;

save c:\statalang\older\olderlang_01.dta,replace;










