#delimit;

*File used: olderadultmodule.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use c:\statalang\older\olderadultmodule.dta,replace;

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";	
rename Name Name_O;
label var Name_O "Cover Q2. Name of respondent";	
label var DayOfVis "Cover Q3. Day of visit";	
label var MonthOfV "Cover Q3. Month of visit";	
label var YearOfVi "Cover Q3. Year of visit";	
label var Intervie "Cover Q4. Interviewer Code";	
label var Intervi1 "Cover Q4. Interviewer Code2";	
label var Subseque "Cover Q5. Subsequent visits required?";	
label var DayNextI "Cover Q6. Day next visit";	
label var MonthNex "Cover Q6. Month next visit";	
label var YearNext "Cover Q6. Year next visit";	
label var HourNext "Cover Q6. Hour next visit";	
label var MinuteNe "Cover Q6. Minute next visit";	
label var Proxy	"QC0.1 Respondent or Proxy answering?";
label var ProxyNam "QC0.2 Name of proxy";	
label var ProxyCod "QC0.2 Code of proxy";
label var ModuleSt "QC0.4 Starting hour of module";
label var ModuleS1 "QC0.4 Strating minute of module";
label var YearBorn "QC1.0 Year born";
label var AgeNow	"QC1.0 Age now";
label var HighestL "QC1.1a Highest level of education";
label var AgeLeave "QC1.1b Age left school";
label var Work	"QC4 Work done in life";
label var Occupati "QC4a Occupation for most of working life";
label var Occupat1 "QC4a Code for occupation";
label var StopWork "QCb Did you stop working?";
label var YearStop "QC5 Year stopped work";
label var AgeStopW "QC5 Age stopped work";
label var ReasonSt "QC6 Reason stopped work";
label var StatePen "QC7.1 Eligible for state pension";
label var Retire	"QC7.2 Reached retirement age at place of work";
label var Pension	 "QC7.3 Eligible for pension from employer";
label var OfferedR "QC7.4 Retrenchment or early retirement";	
label var LostJob	 "QC7.5 Lost job/or business bad";
label var NotEnjoy "QC7.6 Did not enjoy work";	
label var TooOldTo "QC7.7 Too old to work";	
label var WagesLow "QC7.8 Wages too low";	
label var HealthPr "QC7.9 Had health problems";	
label var CareOthe "QC7.10 Had to care for others";	
label var SpouseRe "QC7.11 Spouse retired";	
rename Other Other_R;
label var Other_R	"QC7.12 Other reasons";
label var OtherDes "QC7.12 Describe other";	
label var RetireRe "QC8 Did respondent retire from regular pay job?";	
label var Providen "QC9.1 Member of provident fund";	
label var AmountRe "QC9.1a Amount received when retired?";	
label var SpendMon "QC9.1b What did you do with the money?";	
label var PensionF "QC9.2 Member of a pension fund?";	
label var PensionR "QC9.2a Amount received from pension";	
label var PensionS "QC9.2b What did you do with the money?";	
label var PensionA "QC9.2c Pension per month";	
label var AgeRecei "QC9.2d How old when received pension";	
label var Retireme "QC10 Receive retirement or retrenchment package?";	
label var Retirem1 "QC10a How much extra received?";	
label var SpentRet "QC10b What did you spend the money on?";	
label var MonthlyE "QC11 How much were you earning at retirement?";	
label var EarnMone "QC12 Do you do anything to earn now?";	
label var LookingF "QC13.5 Are you looking for work?";	
label var OutsideG "QC15 Money from inside or outside house";	
label var MoneyLef "QC18 Money left for self at end of month";	
label var WhatDoWi "QC18a What do you do with this money?";	
label var Bank	"QC19.1 Bank or savings account?";
label var Stokvel	"QC19.2 Participate in a stokvel";
label var LifeInsu "QC19.3 Do you have life insurance";	
label var GivenMon "QC20 Given money in past 12 months?";	
label var ModuleEn "QG11.1 Ending hour of module";	
label var ModuleE1 "QG11.1 Ending minute of module";	
label var Comprehe "QG11.3 Comprehension level of respondent";	
label var Cooperat "QG11.4 Cooperation level";	
label var Assistan "QG11.5 Level of assist";	
label var Addition "QG11.7 Additional comments";

compress;
sort Hhid PCode;

save c:\statalang\older\oldermod_01.dta,replace;
