#delimit;

*File used: C:\statalang\older\oldermoney.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use C:\statalang\older\oldermoney.dta,replace;

label data "Section C14  Older Module sources of money p.11";

rename Househol Hhid;

destring Hhid PCode;  *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";  	
label var  Veterans  "QC14.1 Veterans pension";
label var  Disabili  "QC14.2	Disability pension";
label var  Employer  " QC14.3 Employer pension for old age";	
label var  Employe1  "QC14.4  Employer pension for workers' compensation";	
label var  Unemploy  "QC14.5 Unemployment ensurance";	
label var  Annuity   "QC14.	6 Personal retirement annuity";
label var  Savings   "QC14.	7 Savings,interest";
label var  NewChild  "QC14.8 New child grant";	
label var  FosterCa  "QC14.	9 Foster care grant";
label var  CareDepe  "QC14.10 Care dependency grant";	
label var  Religiou  "QC14.11 Religious organisation";	 
label var  MoneyFro "QC14. 12  Money from lodgers";	
rename Other Othermon;
label var  Othermon    "QC14.13 Other";	
label var  OtherDes "  QC14.13 Description of other";	


compress;
sort Hhid PCode;

save c:\statalang\older\oldermoney_01.dta,replace;
