#delimit;

*File used: C:\statalang\older\oldermoneysp.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use C:\statalang\older\oldermoneysp.dta,replace;

label data "Section C Older Module QC17 Expenditure";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
   	
 label var  NormalMo  "QC17.1 Normal month groceries"; 	
 label var  NormalM1  "QC17.2	Normal month vegetables/fruit";
 label var  NormalM2  "QC17.3	Normal month meat/chicken/fish";
 label var  NormalM3  "QC17.4	Normal month food eaten out";
 label var  NormalM4  "QC17.5 Normal month rent or bond";	
 label var  NormalM5  "QC17.6 Normal month rates";	
 label var  NormalM6  "QC17.7 Normal month electricity";	
 label var  NormalM7  "QC17.8 Normal month fuel";	
 label var  NormalM8  "QC17.9	 Normal month telephone";
 label var  NormalM9  "QC17.10 Normal month hire purchase";	
 label var  Normal10  "QC17.11 Normal month clothing and shoes";	
 label var  Normal11  "QC17.12 Normal month health";	
 label var  Normal12  "QC17.13 Normal month personal items";	
 label var  Normal13  "QC17.14 Normal month transportation";	
 label var  Normal14  "QC17.15 Normal month church dues";	
 label var  Normal15  "QC17.16 Normal month uniforms/school fees";	
 label var  Normal16  "QC17.17 Normal month alcohol/tobacco";	
 label var  Normal17  "QC17.18 Normal month leisure";	
 label var  Normal18  "QC17.19 Normal month money,goods,food for outside";
 label var  Normal19  "QC17.20 Normal month burial society";	
 label var  Normal20  "QC17.21 Normal month stokvel";	
 label var  Normal21  "QC17.22 Normal month savings";
 label var  Normal22  "QC17.23 Normal month business";
 label var 	Last12Mo  "QC17.5	Last 12 months rent or bond";	
 label var  Last12M1  "QC17.10 Last 12 months hire purchase";	
 label var  Last12M2  "QC17.11 Last 12 months clothing";	
 label var  Last12M3  "QC17.12 Last 12 months health";	
 label var  Last12M4  "QC17.13 Last 12 months personal items";	
 label var  Last12M5  "QC17.14 Last 12 months transportation";	
 label var  Last12M6  "QC17.15 Last 12 months church dues";	
 label var  Last12M7  "QC17.16 Last 12 months iniforms/school fees";	
 label var  Last12M8  "QC17.18 Last 12 months leisure";	
 label var  Last12M9  "QC17.19 Last 12 months month money,goods,food for outside";	
 label var  Last1210  "QC17.20 Last 12 months burial society";	
 label var  Last1211  "QC17.21 Last 12 months stokvel";	
 label var  Last1212  "QC17.22 Last 12 months savings";	
 label var  Last1213  "QC17.23 Last 12 months business";	

compress;
sort Hhid PCode;

save c:\statalang\older\oldermoneysp_01.dta,replace;




