#delimit;

*File used: c:\statalang\older\olderpension.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use c:\statalang\older\olderpension.dta,replace;

label data "Section D Older Module pension information p.22";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var  StateOld  "QD1.1a  Sate old age pension?";	
label var  StateOl1  	"QD1.1b How old when started receiving it?";
label var  StateOl2  	"QD1.1c What is the amount received each month?";
label var  Disabili  	"QD1.2a Disability pension?";
label var  Disabil1  	"QD1.2b How old when started receiving it?";
label var  Disabil2  	"QD1.2c What is the amount received each month?";
label var  Veterans  	"QD1.3a Veteran's or apartheid pension?";
label var  Veteran1  	"QD1.3b How old when started receiving it?";
label var  Veteran2  	"QD1.3c What is the amount received each month?";
label var  WhyNotSt  "QD3 Why not receiving a state old age pension now?";	
label var  WhyNotS1  "QD3 Description of other";	
label var  ExpectFu  	"QD4  Do you expect to receive one in the future?";
label var  DoDiffer  	"QD5 What will you do differently when you receive it?";
label var  LifeBett  	"QD6 How will life be better?";
label var  LifeWors  	"QD7 How will life be worse?";
label var  PensionM  "QD9	 Income from pension more or less than job?";
label var  HandOver  "QD10 Do you give all/part of pension to someone else?";	
label var  WhoHandO "QD10a  Whom do you hand it over to?"; 	
label var  AmountHa  "QD10b	How much of pension is handed over?";
label var  FirstPay  	"QD11a What is the first payment?";
label var  SecondPa  "QD11b	What is the second payment?";
label var  ThirdPay  	"QD11c What is the third payment?";
label var  FourthPa  	"QD11d What is the fourth payment?";
label var  FifthPay  	"QD11e What is the fifth payment?";
label var  SixthPay  	"QD11f  What is the sixth payment?";
label var  PensionL  	"QD11g How much of pension is left over after payments?";
label var  WhoKeeps  "QD11h  Who keeps the pension money left over?";	
label var  MostSayP  "QD12	Who has most say on how pension is spent?";
label var  EasierCr  	"QD13  Does pension make it easier to buy on credit?";
label var  StartDoi  	"QD14  What did you do differently?";
label var  StartLif  	"QD15 How did life become better?";
label var  StartLi1  	"QD16 How did life become worse?";


compress;
sort Hhid PCode;

save c:\statalang\older\olderpension_01.dta,replace;



