#delimit;

*File used: C:\statalang\older\olderpersonspres.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use C:\statalang\older\olderpersonspres.dta,replace;

label data "Cover C0.3.  Older Module Names of other persons present";

rename Househol Hhid;

destring Hhid PCode;  *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code"; 
label var NamePers "QC0.3 Names of other persons present?";


format Hhid %10.0f;

compress;
sort Hhid PCode;

save c:\statalang\older\olderpresent_01.dta,replace;

