#delimit;

*File used: C:\statalang\older\olderreceivemoney.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use C:\statalang\older\olderreceivemoney.dta,replace;

label data "Section C15  Older Module receive money p.12";

rename Househol Hhid;

destring Hhid PCode  PersonCo; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var  Househo1  " QC15.1 Is this person a member of the household?"; 	
label var  Name      	"QC15.2 What is the persons name?";
label var  PersonCo  "QC15.2 Code of person from board p.13";	
label var  Relation  	"QC15.3 What is their relationship to you?";
label var  Relatio1  	"QC15.3 Description of other?";
label var  Sex       	"QC15.4  Is this person male or female?";
label var  YearBorn  	"QC15.5 How old is he/she, year born?";
label var  Age       	"QC15.5 How old is he/she,age?";
label var  HighestL  	"QC15.6 Highest education he/she has acheived?";
label var  MaritalS  	"QC15.7 Marital status?";
label var  Town      	"QC15.8 In what town does he/she live?";
label var  Province  	"QC15.9 In what town is that located?";
label var  OftenVis  	"QC15.10 How often do you visit together?";
label var  MoneyPas  "	QC15.11 How much has he/she given you in the past 12 months?";
label var  Employed  "QC15.12 Is he she employed?";	
label var  Occupati  	"QC15.13 What is his /her occupation?";
label var  Occupat1  "QC15.13 	What is his /her occupation,code?";
label var  Salary    	"QC15.14 How much money does he/she earn in a month?";
label var  BetterOf  	"QC15.15 Financially better or worse of than this HH?";
label var  PeopleIn  	"QC15.16 How many people are in the HH he/she lives in?";
label var  ReasonFo  "QC15.17 Why does he/she give you money?";	
label var  ContactI  	"QC15.18 Can he be contacted for inclusion in the survey?";


compress;
sort Hhid PCode;

save c:\statalang\older\olderreceive_01.dta,replace;




