#delimit;
 clear all;

*File used: C:\statalang\younger\youngerexpenditu.dta, from access database*;
*program labels and orders younger adult module variables*;



use C:\statalang\younger\youngerexpenditu.dta,replace;

label data "Younger Adult Module Section H11, Money spent pg.12";
rename Househol Hhid;

destring Hhid PCode;


 *This program is from STB 37 dm45*;
sort Hhid;

 label var Hhid "Household ID";

 label var PCode "Person Code";

 label var  NormalMo     "QH11.1 Normal month groceries";

 label var  NormalM1     "QH11.2 Normal month Vegetables and fruit";

 label var  NormalM2     "QH11.3 Normal month meat,chicken,fish";

 label var  NormalM3     "QH11.4 Normal month food eaten out";

 label var  NormalM4     "QH11.5 Normal month rent or bond";

 label var  NormalM5     "QH11.6 Normal month rates";

 label var  NormalM6     "QH11.7 Normal month electricity";

 label var  NormalM7     "QH11.8 Normal month fuel, coal paraffin wood";
 label var  NormalM8     "QH11.9 Normal month telephone";

 label var  NormalM9     "QH11.10 Normal month hire purchase";

 label var  Normal10     "QH11.11 Normal month clothing and shoes";

 label var  Normal11     "QH11.12 Normal month health";

 label var  Normal12     "QH11.13 Normal month personal items";

 label var  Normal13     "QH11.14 Normal month transportation";

 label var  Normal14     "QH11.15 Normal month church dues";

 label var  Normal15     "QH11.16 Normal month unifirms, school fees";

 label var  Normal16     "QH11.17 Normal month alcohol and or tobacco";

 label var  Normal17     "QH11.18 Normal month leisure";

 label var  Normal18     "QH11.19 Normal month money goods or food for people 
 outside the household";

 label var  Normal19     "QH11.20 Normal month burial society";

 label var  Normal20     "QH11.21 Normal month stokvel or gooi gooi";

 label var  Normal21     "QH11.22 Normal month savings";

 label var  Normal22     "QH11.23 Normal month money spent on business";

 label var  Last12Mo     "QH11.5 Last 12 months rent or bond";

 label var  Last12M1     "QH11.10 Last 12 months hire purchase";

 label var  Last12M2     "QH11.11 Last 12 months clothing and shoes";

 label var  Last12M3     "QH11.12 Last 12 months health";

 label var  Last12M4     "QH11.13 Last 12 months personal items";

 label var  Last12M5     "QH11.14 Last 12 months transportation";

 label var  Last12M6     "QH11.15 Last 12 months church dues";

 label var  Last12M7     "QH11.16 Last 12 months unifirms, school fees";

 label var  Last12M8     "QH11.18 Last 12 months leisure";

 label var  Last12M9     "QH11.19 Last 12 months money goods or food for people outside the household";

 label var  Last1210     "QH11.20 Last 12 months burial society";

 label var  Last1211     "QH11.21 Last 12 months stokvel or gooi gooi";

 label var  Last1212     "QH11.22 Last 12 months savings";

 label var  Last1213     "QH11.23 Last 12 months money spent on business";

compress;


sort Hhid PCode;
 save C:\statalang\younger\youngerexpend_01.dta,replace;
