#delimit;

*File used: C:\statalang\younger\youngermentalhea.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngermentalhea.dta,replace;

label data "Younger Adult Module Section J, Mental Health pg21";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";	    				
label var  Miserabl "QJ1.1 Could not stop feeling miserable";	
label var  Depresse "	QJ1.2 I felt depressed";
label var  Sad 	"QJ1.3 I felt sad";
label var  Cried 	"QJ1.4 I cried a lot";
label var  NotEatin " QJ1.5 I did not feel like eating";	
label var  Everythi "QJ1.6 I felt everything was an effort";	
label var  SleepRes " QJ1.7 My sleep was restless";	 
label var  CouldNot 	"QJ1.8 I could not get going";
label var  Past12Mo 	"QJ2.1 Most of the time worried in last 12 months?";
label var  Past12M1 	"QJ2.2 Worried more than others in last 12 months?";
label var  PeriodEn 	"QJ3.1 Has that period ended or is it still going on?";
label var  MonthsGo 	"QJ3.2 How many months  has it been going on?";
label var  YearsGoO "QJ3.2 How many years has it been going on?";	
label var  WorryMos 	"QJ4 Did/do you worry most days?";
label var  Difficul 	"QJ5.1 Did/do you find it difficult to stop worrying?";
label var  Differen 	"QJ5.2 Did/do you have different worries at the same time?";
label var  WhatWorr 	"QJ5.3 What are you worried about?";
label var  Problems 	"QJ6.2 How much did/do these problems interfere?";
label var  MemoryLo "QJ7 Is memory loss a problem for you?";	
label var  Smoke 	"QJ8.1 Do you smoke use snuff or chew tobacco?";
label var  AmountCi 	"QJ8.2 How many cigarettes smoked in a day?";
label var  Regularl 	"QJ8.3 Have you ever smoked at least one cigarette per day in the past?";
label var  DrinkAlc 	"QJ9.1 Do you ever drink alcohol or home brew?";
label var  DrinkOnc 	"QJ9.2 Do you drink more often than once per week?";
label var  AnyoneDr 	"QJ9.3 Do you think anyone in the house drinks too much?";
label var  WhyTooMu  "QJ9.4 Why do you think it is too much?";	
	

compress;
sort Hhid PCode;

save C:\statalang\younger\youngermentalhea_01.dta,replace;



