#delimit;

*File used: C:\statalang\younger\youngermentaltellanyone.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngermentaltellanyone.dta,replace;

label data "Younger Adult Module QJ6.1 ,Mental health tell anyone p23.";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var TellAnyo "QJ6.1 Did you or do you plan to tell anyone your concerns?";	 
rename Other Othertel;
label var Othertel "QJ6.1 Description of other";


format Hhid %10.0f;

compress;
sort Hhid PCode;

save C:\statalang\younger\youngermentell_01.dta,replace;



   			
