#delimit;

*File used: C:\statalang\younger\youngeradultmodu.dta, from access database*;
*program labels and orders younger adult module variables*;


clear all;

use C:\statalang\younger\youngeradultmodu.dta,replace;

label data "Younger Adult Module";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var NameOfRe	"Cover Q2 Name of respondent";
label var DayOfVis	" Cover Q3. Day of visit";
label var MonthOfV "Cover Q3. Month of visit";	
label var YearOfVi	"Cover Q3. Year of Visit";
label var Intervie	"Cover Q4 Code of interviewer";
label var Intervi1	"Cover Q4 Code of interviewer";
label var Subseque	"Cover Q5 Subsequent visit required";
label var DayNextI	 "Cover Q6 Day next visit";
label var MonthNex "Cover Q6 Month next visit";	
label var YearNext	"Cover Q6 Year next visit";
label var HourNext	 "Cover Q6 Hour next visit";
label var MinuteNe	"Cover Q6 Minute next visit";
label var Answerin	"QH0.1 Respondent answering or proxy?";
label var ProxyNam  "QH0.2 Name of proxy respondent";	
label var Starting	"QH0.4  Starting hour of module";
label var Startin1	"QH0.4 Starting minute of module";
label var YearBorn	 "QH2 In what year were you born?";
label var AgeNow	"QH2 What is your age?";
label var HighestL	"QH3 What is your highest level of education?";
label var StillSch	 "QH3a Are you still in school or studying?";
label var AgeLeave  "	QH3b What age did you leave school?";
label var LivingCh	"QH4 How many living children do you have?";
label var AmountBo "QH4a How many are boys?";	
label var AmountGi	 "QH4a How many are girls?";
label var Children	"QH4c Have you had any children that died?";
label var InBusine	"QH6 Do anything to earn money now?";
label var LookingF	"QH6.4 Are you looking for work?";
label var Veterans	"QH7.1 Veteran's pension";
label var Disabili	"QH7.2 Disability pension";
label var Employer	"QH7.3 Employer pension for old age";
label var Employe1	"QH7.4 Employer pension for workers' compensation";
label var Unemploy "QH7.5 Unemployment insurance";
label var Annuity	"QH7.6 Retirement fund or annuity";
label var Savings	"QH7.7 Savings, interest";
label var NewChild	"QH7.8 New child grant";
label var FosterCa	"QH7.9 Foster care grant";
label var CareDepe "QH7.10 Care dependency grant";
label var Religiou	"QH7.11 Religious organisation";
label var Property	"QH7.12 Money from lodgers";
rename Other Other_h7; 
label var Other_h7	"QH7.13  Other";
rename OtherDes OthdesH7;
label var OthdesH7  "QH7.13 Description of other";
label var InsideGi	"QH8 Anyone given money to you?";
label var MoneyLef " QH12 Money left at the end of the month";
label var DoWithMo "QH12a What do you do with this money?";
label var SavingsA	"QH13 Do you have a savings account?";
label var WhyNotSa  "QH13a Why don't you have a savings account?";
label var Particip	"QH14 Do you participate in a stokvel or gooi gooi?";
label var GivenMon  "QH15 Have you given money to anyone?";
label var EndingHo	 "QK11.1 Ending hour of module";
label var EndingMi	"QK11.1 Ending minute of module";
label var Comprehe "Qk11.3 Comprehension level of respondent?";	
label var Cooperat	"QK11.4 Cooperation level of respondent?";
label var Assistan	"QK11.6 How much did others assist?";
label var Addition	"QK11.7 Additional comments";

compress;
sort Hhid PCode;

save C:\statalang\younger\youngermod_01.dta,replace;





