#delimit;

*File used: C:\statalang\younger\youngerpersonspresent.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngerpersonspresent.dta,replace;

label data "Younger Adult Module Section H0 QH0.3, page 3";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";	    
label var Name "QH0.3 Names of other persons present at the interview";

compress;
sort Hhid PCode;

save C:\statalang\younger\youngerpresent_01.dta.dta,replace;


	
