#delimit;

*File used: C:\statalang\younger\youngerreceivemoneyf.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngerreceivemoneyf.dta,replace;

label data "Younger Adult Module QH9  Receive money to pg 8";

rename Househol Hhid;

destring Hhid PCode Code; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";	    	
label var  Househo1  "QH9.1a Is this person a member of the household?";	
label var  Name      	"QH9.1b What is this persons name?";
label var  Code      	"QH9.1b Code from board pg.9";
label var  Relation  	"QH9.2 What is this persons relationship to you?";
label var  OtherDes  	"QH9.2 Description of other?";
label var  Sex       	"QH9.3 Is this person male or female?";
label var  YearBorn  	"QH9.4 In what year was he she born?";
label var  AgeNow    	"QH9.4 What is his/her age now?";
label var  Educatio  	"QH9.5 What is his/her highest level of education?";
label var  MaritalS  	"QH9.6 What is his/her marital status?";
label var  Town      	"QH9.7 In what town etc. does he she live?";
label var  Province  	"QH9.8 In what province is that?";
label var  OftenVis  	"QH9.9 How often do you usually visit together?";
label var  AmountMo  " QH9.10 How much money has he/she given you in the past 12 months?";	
label var  Employed  "QH9.11 Is he she employed?";	
label var  Occupati  	"QH9.12 What is his/her occupation?";
label var  Occupat1  	"QH9.12 Code of occupation?";
label var  SalaryMo  	"QH9.13a How much does he she earn in a month?";
label var  BetterOf  	"QH13b Is he/she better off than this household?";
label var  HowManyP  " QH9.13c How many people are in the household he/she lives in?";	
label var  ReasonFo  "QH9.14 Why does he/she give you money?";	
label var  ContactD  	"QH9.15 Can this person be contacted?";


compress;
sort Hhid PCode;

save C:\statalang\younger\youngerreceivemoney_01.dta,replace;



