#delimit;

*File used: C:\statalang\younger\youngerregularjo.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngerregularjo.dta,replace;

label data "Younger Adult Module QH6.1 ,Regular Jobs pg6.";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";	 	
label var  Occupati "QH6.1 Regular pay job occupation"; 	
label var  Occupat1 "QH6.1 Regular pay job code";	
label var  HowLongM	"QH6.1a How long have you been working at this job, months?";
label var  HowLongY	"QH6.1a How long have you been working at this job,years?";
label var  HoursPer 	"QH6.1b How many hours do you work in a typical week?";
label var  WeeksPer  "QH6.1c How many weeks do you work each year?";	
label var  SalaryPe 	"QH6.1d How much do you earn from this job in a month?";

format Hhid %10.0f;

compress;
sort Hhid PCode;

save C:\statalang\younger\youngerregularjob_01.dta,replace;



   			
