#delimit;

*File used: C:\statalang\younger\youngerselfemplo.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngerselfemplo.dta,replace;

label data "Younger Adult Module H6.3,  Work for self ,page 7";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";	    
label var Descript "QH6.3 What type of work do you do?";
label var HowLongM "QH6.3a How long have you been working at this job,months?";
label var HowLongY "QH6.3a How long have you been working at this job,years?";
label var HoursPer "QH6.3b How many hours do you work per week?";
label var WeeksPer "QH6.3c How many weeks do you work each year?";
label var SalaryPe "QH6.3d How much do you earn in a typical month?";


compress;
sort Hhid PCode;

save C:\statalang\younger\youngerselfemp_01.dta,replace;


	
