#delimit;

*File used: C:\statalang\younger\youngerwoman.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngerwoman.dta,replace;

label data "Younger Adult Module Section H5, Women pg.4";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

drop if Hhid ==116000110; *This one belongs in older module!*;

label var Hhid "Household ID";
label var PCode "Person Code";	    	
label var  EverRece  	"QH5a Have you ever received a maintenance grant?";
label var  Currentl  	"QH5b Are you currently receiving a maintenance grant?";
label var  MonthsRe  "QH5c How long have you been receiving it,months?";	
label var  YearsRec  "QH5c How long have you been receiving it,years?";	
label var  GrantFro  	"QH5d Is that grant from the government or the father of the child?";
label var  SameAmou  "QH5e Do you receive the same amount from the father each month?"; 	
label var  Regular   	"QH5f Does he send money regularly?";
label var  AverageA  	"QH5g How much does he send each month?";
label var  GrantCou  	"QH5h Has this grant ever been reduced or increased by court order?";
label var  ReceiveB  	"QH5i How much did you receive before the court order?";
label var  GrantPar  	"QH5j Is this grant for self/child/both?";
label var  Children  	"QH5k For how many children do you receive the grant?";
label var  TotalAmo  	"QH5l How much do you receive each month,total?";
label var  ReceiveA  	"QH5m Have you received a maintenance grant before this one?";
label var  MonthsPr  	"QH5n For how long did you receive it, months?";
label var  YearsPre  	"QH5n For how long did you receive it, years?";
label var  PrevGran  	"QH5o Was that from the government or father of child?";
label var  ReceiveT  	"QH5p What receiving two years ago?";
label var  ReceiveL  	"QH5q How much were you receiving last year this time?";
label var  LastYear  	"QH5r Was that from the government or father of child?";
label var  PrevGra1  	"QH5s Was the previous grant for self/child/both?";
label var  PrevChil  	"QH5t For how many children was this?";
label var  PrevTota  	"QH5u How much did you receive in total each month?";
label var  StopRece  "QH5v When did you stop receiving the maintenance,month?";	
label var  StopRec1  "QH5v When did you stop receiving the maintenance,year?";	
label var  AppliedN  	"QH5w Have you applied for a new grant?";
label var  ApplyMon  "QH5x When did you apply,month?";	
label var  ApplyYea  	"QH5x When did you apply,year?";
label var  WhatHapp  "QH5y What has happened with your application?";	


compress;
sort Hhid PCode;

save C:\statalang\younger\youngerwoman_01.dta,replace;



