clear all

*mkdir "Z:\Datasets\Survey of Jewish South Africans 2005\Data\stata10"  /*if the folder does not exist*/

global in "Z:\Datasets\South African Integrated Family Survey 1999\Data_v_1.1\Stata12"
global s10 "Z:\Datasets\South African Integrated Family Survey 1999\Data_v_1.1\stata10"
global R "Z:\Datasets\South African Integrated Family Survey 1999\Data_v_1.1\r"
global sas "Z:\Datasets\South African Integrated Family Survey 1999\Data_v_1.1\sas"
global spss "Z:\Datasets\South African Integrated Family Survey 1999\Data_v_1.1\spss"

*Stattransfer
cd "$in"

stcmd *.dta "$R\*.rdata" /y
stcmd *.dta "$sas\*.sas7bdat" /y
stcmd *.dta "$spss\*.sav" /y

*To stata 10

ls
local a1  : dir . files "*.dta"

foreach f of local a1 {
	use `"`f'"', clear
	saveold "$s10/`f'", replace
}
*

*Alternatively
/* 
*To stata 10
fs
foreach f in `r(files)' {
	use `"`f'"', clear
	saveold "$s10/`f'", replace
}
*

