*This file labels C:\statalang\housememberbanking.dta from access data base*

#delimit;
clear all;

use C:\statalang\householdmod\housememberbanking.dta,replace;

label data "Household Module QB6a Code of Person with bank account";

rename Househol Hhid;
label var Hhid "Household ID";

rename PCode Bank_Co;
label var Bank_Co "QB6a PCode of person with bank savings acc.";

destring Hhid;

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803; 

compress;
sort Hhid;

save c:\statalang\householdmod\hhbank_01,replace;

