*Label household expenditure file after import from Access*

#delimit;
clear all;

use c:\statalang\householdmod\householdexp.dta,replace;
label data "Household Module page 22 Section B3";

rename Househol Hhid;
destring Hhid;

sort Hhid;

*refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;


label var Hhid "Household ID";
label var NormalMo "QB3a.1 Grocery expenditure";
label var NormalM1 "QB3a.2 Vegetable expenditure";
label var NormalM2 "QB3a.3 Meat expenditure";
label var NormalM3 "QB3a.4 Eat out expenditure";
label var NormalM4 "QB3a.5 Monthly rent/bond expenditure";
label var NormalM5 "QB3a.6 Rates expenditure";
label var NormalM6 "QB3a.7 Electricity expenditure";
label var NormalM7 "QB3a.8 Fuel expenditure";
label var NormalM8 "QB3a.9 Telephone expenditure";
label var NormalM9 "QB3a.10 HP expenditure";
label var Normal10 "QB3a.11 Clothing expenditure";
label var Normal11 "QB3a.12 Health expenditure";
label var Normal12 "QB3a.13 Personal items expenditure";
label var Normal13 "QB3a.14 Transport expenditure";
label var Normal14 "QB3a.15 Church expenditure";
label var Normal15 "QB3a.16 Uniforms expenditure";
label var Normal16 "QB3a.17 Alcohol/tobacco expenditure";
label var Normal17 "QB3a.18 Leisure expenditure";
label var Normal18 "QB3a.19 Money,goods outside expenditure";
label var Normal19 "QB3a.20 Burial society expenditure";
label var Normal20 "QB3a.21 Stokvel expenditure";
label var Normal21 "QB3a.22 Savings expenditure";
label var Normal22 "QB3a.23 Business expenditure";
label var Last12Mo "QB3b.5 Last 12 Months rent expenditure";
label var Last12M1 "QB3b.10 Last 12 Months HP exp";
label var Last12M2 "QB3b.11 Last 12 Months clothing exp";
label var Last12M3 "QB3b.12 Last 12 Months health exp";
label var Last12M4 "QB3b.13 Last 12 Months personal exp";
label var Last12M5 "QB3b.14 Last 12 Months transport exp";
label var Last12M6 "QB3b.15 Last 12 Months church exp";
label var Last12M7 "QB3b.16 Last 12 Months uniforms exp";
label var Last12M8 "QB3b.18 Last 12 Months leisure exp";
label var Last12M9 "QB3b.19 Last 12 Months ouside exp.";
label var Last1210 "QB3b.20 Last 12 Months burial exp.";
label var Last1211 "QB3b.21 Last 12 Months stokvel exp.";
label var Last1212 "QB3b.22 Last 12 Months saving exp.";
label var Last1213 "QB3b.23 Last 12 Months businiess exp.";

sort Hhid;

compress;
save c:\statalang\householdmod\householdexp_01,replace;
