*This file labels householdinterviewlanguages.dta as from the access data base*

#delimit;
clear all;

use c:\statalang\householdmod\householdinterviewlanguages.dta,replace;

label data "Household Module QB19.1 language used for interview page 29";

rename Househol Hhid;

destring Hhid;

label var Hhid "Household ID";

rename Language Lang_I;
label var Lang_I "QB19.2 Language used for interview";

rename Other Other_L;
label var Other_L "QB19.2 Other language used in interview";

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;


sort Hhid;

compress;

save c:\statalang\householdmod\hhintlang_01,replace;

