*This file labels C:\statalang\householdite.dta from access data base*

#delimit;
clear all;

use C:\statalang\householdmod\householdite.dta,replace;

label data "Household Module QA10 household items pg 18";

rename Househol Hhid;

destring Hhid;


label var Hhid "Household ID";

label var HaveTele "QA10.1 Have telephone?";
label var HaveTel1 "QA10.1 Telephone explain";
label var HaveStov "QA10.2 Have stove elec/gas?";
label var HaveSto1 "QA10.2 Stove elec/gas explain";
label var HaveSto2 "QA10.3 Have stove coal wood?";
label var HaveSto3 "QA10.3 Stove coal wood explain";
label var HaveElec "QA10.4 Have electricity?";
label var HaveEle1 "QA10.4 Electricity explain";
label var HaveTel2 "QA10.5 Have television?";
label var HaveTel3 "QA10.5 Television explain";
label var HaveRefr "Qa10.6 Have refrigerator?";
label var HaveRef1 "QA10.6 Refrigerator explain";
label var HaveRadi "QA10.7 Have radio?";
label var HaveRad1 "QA10.7 Radio explain";
label var HaveSewi "QA10.8 Have sewing machine?";
label var HaveSew1 "QA10.8 Sewing machine explain";
label var HaveCar "QA10.9 Have car?";
label var HaveCarE "QA10.9 Car explain";
label var HaveBicy "QA10.10 Have bicycle?";
label var HaveBic1 "QA10.10 Bicycle explain";
label var HaveMoto "QA10.11 Have motorcycle?";
label var HaveMot1 "QA10.11 Motorcycle explain";
label var HaveFax "QA10.12 Have fax machine?";
label var HaveFaxE "QA10.12 Fax explain";

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803; 


compress;

sort Hhid;

save c:\statalang\householdmod\hhitems_01,replace;





