*This labels C:\statalang\householdlanguag.dta from access data base*

#delimit;
clear all;

use C:\statalang\householdmod\householdlanguag.dta,replace;

label data "Household Module QA6 Household language pg 16";

rename Househol Hhid;

destring Hhid;

label var Hhid "Household ID";
rename Language Lang_hh;
label var Lang_hh "QA6 Language of household";
rename Other Other_hl;
label var Other_hl "QA6 Other household languages";

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803; 



sort Hhid;
compress;

save c:\statalang\householdmod\hhlanguage_01,replace;
