*This file labels "C:\statalang\housememberlifeinsurance.dta from access data base*

#delimit;
clear all;

use c:\statalang\householdmod\housememberlifeinsurance.dta,replace;

label data "Household Module QB7.2a Code of Person with life insurance";

rename Househol Hhid;
label var Hhid "Household ID";

destring Hhid;

rename PCode Life_Ins;
label var Life_Ins "QB7.2a PCode of person with life insurance";

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803; 

compress;
sort Hhid;

save c:\statalang\householdmod\hhlife_01,replace;

