*This labels C:\statalang\householdhousingmaterial.dta*
*from access data database*

#delimit;
clear all;

use C:\statalang\householdmod\householdhousingmaterial.dta,replace;

label data "Household module QA8.3 Page17";

rename Househol Hhid;

destring Hhid;

label var Hhid "Household ID";

label var RoofCeme "QA8.3.2 Cement block roof";
label var RoofPreF "QA8.3.3 Pre Fab roof";
label var RoofCorr "QA8.3.4 Corrugated iron roof";
label var RoofWood "QA8.3.5 Wood roof";
label var RoofPlas "QA8.3.6 Plastic roof";
label var RoofCard "QA8.3.7 Cardboard roof";
label var RoofMixt "QA8.3.8 Mud/cement roof";
label var RoofWatt "QA8.3.9 Wattle/daub roof";
label var RoofTile "QA8.3.10 Tile roof";
label var RoofThat "QA8.3.12 Thatch roof";
label var RoofAsbe "QA8.3.13 Asbestos roof";
label var RoofOthe "QA8.3.14 Roof other";

label var WallsBri "QA8.3.1 Brick walls";
label var WallsCem "QA8.3.2 Cement block walls";
label var WallsPre "QA8.3.3 Pre fab walls";
label var WallsCor "QA8.3.4 Corrugated iron walls";
label var WallsWoo "QA8.3.5 Wood walls";
label var WallsPla "QA8.3.6 Plastic walls";
label var WallsCar "QA8.3.7 Cardboard walls";
label var WallsMix "QA8.3.8 Mud/cement walls";
label var WallsWat "QA8.3.9 Wattle/daub walls";
label var WallsMud "QA8.3.11 Mud walls";
label var WallsTha "QA8.3.12 Thatch walls";
label var WallsAsb "QA8.3.13 Asbestos walls";
label var WallsOth "QA8.3.14 Other walls";

*these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803; 

compress;
sort Hhid;

save c:\statalang\householdmod\householdmaterial_01.dta,replace;


