*This file labels householdmoveout.dta from access data base*

#delimit;
clear all;

use c:\statalang\householdmod\householdmoveout.dta,replace;

label data "Household Module Moved out pg14.";


rename Househol Hhid;

destring Hhid;

label var Hhid "Household ID";
rename NamePers Name_m;
label var Name_m "QA4.2 Name of person moved out";
label var MCode "QA4.2 Code from grid moved out";
rename Sex Sex_m;
label var Sex_m "QA4.3 Sex of person moved out";
rename Relation Relat_m;
label var Relat_m "QA4.4 Relationship to head moved";
rename YearBorn Yborn_m;
label var Yborn_m "QA4.5 Year born moved";
rename AgeNow AgeNow_m;
label var AgeNow_m "QA4.5 Age now moved";
label var WhyMoved "QA4.6 Why moved?";
label var WhyMove1 "QA4.6 Why moved other?";
label var WhatTown "QA4.7 Town moved to?";
label var WhatProv "QA4.8 Province moved to?";

  *these are all refusals*;

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803; 

compress;
sort Hhid;

save c:\statalang\householdmod\householdmoveout_01.dta,replace;
