*This file labels the C:\statalang\householdmod\householdhousingtype.dta*
*after conversion from Access*

#delimit;
clear all;

use C:\statalang\householdmod\householdhousingtype.dta,replace;

label data "Household module QA8.2 pg. 16 housing type";

rename Househol Hhid;
sort Hhid;

destring Hhid;


label var Hhid "Household ID";
label var HousingT "QA8.2 Housing Type";
rename Other Other_ht;
label var Other_ht "QA8.2 Other housing type";

drop if Hhid==120003508;  
drop if Hhid==120003509;  
drop if Hhid==120003513; 
drop if Hhid==120004308;  
drop if Hhid==120004505;  
drop if Hhid==120004510;  
drop if Hhid==120004511;  
drop if Hhid==120011813;  
drop if Hhid==120011818;  
drop if Hhid==120012007; 
drop if Hhid==116001013;
drop if Hhid==120002803;  


compress;
sort Hhid;

save C:\statalang\householdmod\householdhousingtype_01.dta,replace;
