#delimit;

*File used: C:\statalang\older\olderchildre.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use C:\statalang\older\olderchildre.dta,replace;

label data "Older Adult Module Section C2.1 , Children  pg. 4";


rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var ChildNam  "QC2.3 Name of child";	
label var Alive     	"QC2.4 Is he/she alive and living in the household?";
label var Sex       	"QC2.5 Is/was this child a son or daughter?";
label var ChildYea  "QC2.6 What year was he she born?";	
label var ChildAge  "QC2.6 What age is he/she?";	
label var HighestL  "QC2.7 Highest level of education?";	
label var MaritalS  "	QC2.8 What is his/her marital status?";
label var Town      "	QC2.9 In what town does/did he/she live?";
label var Province  "	QC2.10 In what province is that located?";
label var HowOften  "QC2.11 How often do you visit together?";	
label var AmountCh  "QC2.12 How many children does/did this child have?";

compress;
sort Hhid PCode;

save c:\statalang\older\olderchildren_01.dta,replace;

	
