#delimit;

*File used: C:\statalang\older\oldergivemoneyto.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use C:\statalang\older\oldergivemoneyto.dta,replace;

label data "Section C20 Older Module give money to p.18";

rename Househol Hhid;
rename PersonCo  PersonC2;

destring Hhid PCode PersonC2;  *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code"; 	
label var  Member    	"QC20.1 Is this person a member of the household?";
label var  Name      	"QC20.2 What is the persons name?";
label var  PersonC2  	"QC20.2 What is the persons code from grid p.19?";
label var  Relation  	"QC20.3 What is his her relationship to you?";
label var  Relatio1  	"QC20.3 Description of other?";
label var  Sex       	"QC20.4 Is this person male or female?";
label var  YearBorn  "QC20.5 What year was he/she born?";	
label var  Age       	"QC20.5 What is his/her age?";
label var  HighestL  " QC20.6 What is his/her highest level of education ?";	
label var  MaritalS  "QC20.7 what is his/her marital status?";	
label var  Town      "QC20.8 In what town does he/she live?";	
label var  Province  "QC20.9 In what province is that?";	
label var  OftenVis  "QC20.10 How often do you visit together?";	
label var  MoneyPas  " QC20.11 How much money have you given in the past 12 months?";	
label var  Employed  "QC20.12 Is he/she employed?";	
rename Occupati Occup_a1;
label var   Occup_a1 "QC20.13 What is his her occupation?";	
rename Occupat1 Occup_a2;
label var  Occup_a2  "QC20.13 Occupation code?";	
label var  Salary    "How much money does he/she earn per month?";	
label var  BetterOr  "Is he she/better of than this household?";	
label var  PeopleIn  "How many people are in the houshold he/she lives in?";	
label var  WhyGiveM "Why do you give him/her money?";  	
label var  ContactD  "Any way of contacting him/her?";


compress;
sort Hhid PCode;

save c:\statalang\older\oldergivemoney_01.dta,replace;
	
 		   	
