#delimit;

*File used: c:\statalang\older\oldermentalhealt.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use c:\statalang\older\oldermentalhealt.dta,replace;

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
      	
label var Miserabl  "F1.1 I Could not stop feeling miserable";	
label var Depresse  "F1.2 I felt depressed";	
label var Sad       "F1.3 I felt sad";	
label var Cried     "F1.4 I cried a lot";	
label var NotEat    "F1.5 I did not feel like eating";	
label var Everythi  "F1.6 I felt everything was an effort";	
label var SleepRes  "F1.7 My sleep was restless";	
label var NotGetGo  "F1.8 I could not get going";	
label var Worried   "F2.1 One month or longer worried";	
label var WorryMor  "F2.2 Worry more than others";	
label var StillWor  "F3.1 If yes, has that period ended?";	
label var MonthsWo  "F3.2 How long before it ended months?";	
label var YearsWor  "F3.2 How long before it ended years?";	
label var WorryMos  "F4 Did/do you worry most days?";	
label var Difficul  "F5.1 Did/do you find it difficult to stop worrying?";	
label var Differen  "F5.2 Did/do you have many worries?";	
label var WhatWorr  "F5.3 What are you worried about";	
label var Problems  "F6.2 How much did\do problems interfere?";	
label var MemoryLo  "F7 Is memory loss a problem";	
label var Smoke     "F8.1 Do you smoke or use snuff?";	
label var AmountCi  "F8.2 Amount smoke?";	
label var RegularS  "F8.3 Have you regularly smoked?"; 	
label var DrinkAlc  "F9.1 Drink alcohol?";	
label var DrinkMor  "F9.2 Do you drink more than once per week?";	
label var Househo1  "F9.3 Does anyone drink too much?";	
label var WhyTooMu  "F9.4 Why is this too much?";


compress;
sort Hhid PCode;

save c:\statalang\older\oldermh_01.dta,replace;


	

	

	
  	

	
