#delimit;

*File used: C:\statalang\older\oldermentalhealthtell.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use C:\statalang\older\oldermentalhealthtell.dta,replace;

label data "Section F6.1  Older Module Mental Health tell Pg.32";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var Person "QF6.1 Person who you plan to tell";
rename OtherDes Othtell;
label var Othtell "QF6.1 Description of other";

format Hhid %10.0f;

compress;
sort Hhid PCode;

save c:\statalang\older\oldertell_01.dta,replace;


