#delimit;

*File used: C:\statalang\older\olderjobinfo.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use C:\statalang\older\olderjobinfo.dta,replace;

label data "Section C13.1 Older Module regular job p.9";

rename Househol Hhid;

destring Hhid PCode;  *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";  		   	
label var  RegularJ  "QC13.1 Regular job occupation?";	
label var  Occupati  "QC13.1 Regular job code?";	
label var  MonthsRe " QC13.1a How long have you been working at this job, months?";	
label var  YearsReg  "QC13.1ba How long have you been working at this job, years?";	
label var  Regular1  "QC13.1b How many hours do you work?";	
label var  Regular2  "QC13.1c How many weeks do you work each year?";	
label var  Regular3  "QC13.1d How much do you earn from this job per month?";	
label var  OddJobDe " QC13.2 If odd jobs, what kind?";	
label var  MonthsOd  "QC13.2a How long have you been working at this job, months?";	
label var  YearsOdd   "QC13.2a How long have you been working at this job, years?";	
label var  OddJobHo  "QC13.2b How many hours do you work per week at odd jobs?";	
label var  OddJobWe  "QC13.2c How many weeks do you work each year?";	
label var  OddJobSa  "QC13.2d What do you earn doing odd jobs each month?";	
label var  SelfJobD  "QC13.3 If work for self, what type of work?";	
label var  MonthsSe  "QC13.3a How long have you been working at this job, months?";	
label var  YearsSel  "QC13.3a How long have you been working at this job, years?";	
label var  SelfJobH  "QC13.3b How many hours do you work a week?";	
label var  SelfJobW  "QC13.3c How many weeks do you work in a year?";	
label var  SelfJobS "QC13.3d How much do you earn from this type of job in a year?";

compress;
sort Hhid PCode;

save c:\statalang\older\olderregjob_01.dta,replace;



	

