#delimit;

*File used: c:\statalang\older\oldersocialintegrati.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use c:\statalang\older\oldersocialintegrati.dta,replace;

label data "Section G Social integration and life satisfation";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
 label var Church		"QG1.1 Church or mosque";
 label var ChurchOf	"QG1.1 How often";
 label var Social		"QG1.2 Social charity at church/mosque";
 label var SocialOf	"QG1.2 How often";
 label var Choir		"QG1.3 Choir";
 label var ChoirOft 	"QG1.3 How often";
 label var SeniorCe	"QG1.4 Senior centre or luncheon club";
 label var SeniorC1	"QG1.4 How often";
 label var Labour		"QG1.5 Labour or trade union";
 label var LabourOf	"QG1.5 How often";
 label var Professi	"QG1.6 Professional association";
 label var Profess1	"QG1.6 How often";
 label var SportsCl	"QG1.7 Sports club or exercise group";
 label var SportsC1	"QG1.7 How often";
 rename Other Othersat;
label var Othersat	"QG1.8 Other";
 label var OtherDes	"QG1.8 Describe other";
 label var OtherOft	"QG1.8 How often";
 label var FamilyRe	"QG2.1 Family respect?";
 label var Communit	"QG2.2 Community respect?";
 label var Communi1	"QG2.3 Community trust?";
 label var Governme	"QG2.4 Trust government?";
 label var OldPeopl	"QG2.5 Trust old more than young?";
 label var ShareWor	"QG3 Someone to speak to?";
 label var FirstPer	"QG3a First person speak to?";
 label var OftenSpe	"QG3b How often speak to this person?";
 label var Religion	"Q4 How important is religion?";
 label var Religio1	"QG4a What is your religion?";
 label var Religio2	"QG4a Other";
 label var CrimeVic	"QG5 Crime victim in last 12 months?";
 label var CrimeDes	"QG6 What crimes?";
 label var ChangeBe	"QG6b Change behaviour due to crime?";
 label var Vote1994	"QG7a Did you vote in the 1994 elections?";
 label var Vote1999	"QG7b Did you vote in the 1999 elections?";
 label var MainProb	"QG8 Main problems in life?";
 label var MainHapp	"QG9 Main source of happiness?";
 label var Anything	"QG10 Anything else about life?";

compress;
sort Hhid PCode;

save c:\statalang\older\oldersat_01.dta,replace;

