#delimit;

*File used: C:\statalang\older\olderwom.dta, from access database*;
*program labels and orders older adult module variables*;


clear all;

use C:\statalang\older\olderwom.dta,replace;

label data "Section C3 Older Module Women";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var  EverMain  "QC3a Ever received a maintenance grant?";	
label var  Currentl  "QC3b Currently receiving a maint. grant?";	
label var  MonthsRe  "QC3c How long have you been receiving it, months?";	
label var  YearsRec  "QC3c How long have you been receiving it, years?";	
label var  GrantFro  "QC3d From government or father of child?";	
label var  SameAmou  "QC3e Same amount from father each month?";	
label var  Regulari  "QC3f Does he send money regularly etc.?";	
label var  AverageM  "QC3g Average amount sent?";	
label var  ReducedO  "QC3h Grant ever reduced or increased by court order?";	
label var  AmountBe  "QC3i How much received before court order?";	
label var  GrantFor  "QC3j Grant for self/children/both?";	
label var  Children  "QC3k For how many children receive grant?";	
label var  ReceiveM  "QC3l How much do you receive each month in total?";	
label var  AnotherG  "QC3m Ever received another grant before this one?";	
label var  MonthsPr  "QC3n How long did you receive it, months?";	
label var  YearsPre  "QC3n How long did you receive it, years?";	
label var  PrevGran  "QC3o Was this from government or father of child?";	
label var  Amount2Y  "QC3p What received two years ago?";	
label var  AmountLa  "QC3q How much received this time last year?";	
label var  LastYear  "QC3r Was this from government or father of child?";	
label var  PrevGra1  "QC3s Previous grant for self/child/both?";	
label var  PrevGra2  "QC3t For how many children received grant?";	
label var  PrevGra3  "QC3u How much did you receive each month,total?";	
label var  MonthPre  "QC3v When did you stop receiving the grant,months?";	
label var  YearPrev  "QC3v When did you stop receiving the grant,years?";	
label var  ApplyNew  "QC3w Have you applied for a new child grant?";	
label var  MonthApp  "QC3x When did you apply, month?";	
label var  YearAppl  "QC3x When did you apply, year?";	
label var  WhatHapp  "QC3y What has happened with your application?";

compress;
sort Hhid PCode;

save c:\statalang\older\olderwomen_01.dta,replace;

	
