#delimit;

*File used: C:\statalang\younger\youngerchilddeath.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngerchilddeath.dta,replace;

label data "Younger Adult Module QH4d, Childrens death ages pg.3";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var ChildDea "QH4b What were their ages when they died?";	 

format Hhid %10.0f;

compress;
sort Hhid PCode;

save C:\statalang\younger\youngerchilddeath_01.dta,replace;



   			
