#delimit;

*File used: C:\statalang\younger\youngergivesmone.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngergivesmone.dta,replace;

label data "Younger Adult Module QH15.1  Give money to pg 14";

rename Househol Hhid;

destring Hhid PCode PersonCo; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";	    	
label var  Househo1  "QH15.1a Is this person a member of the household?";	
label var  PersonNa  "QH15.1b What is the persons name?";	
label var  PersonCo  "QH15.1b Persons code from board p.15";	
label var  Relation  	"QH15.2 What is this persons relationship to you?";
label var  Relatio1  	"QH15.2 Description of other";
label var  Sex       	"QH15.3 Is this person male or female?";
label var  YearBorn  	"QH15.4 In what year was he/she born?";
label var  AgeNow    	"QH15.4 How old is he/she?";
label var  HighestE  	"QH15.5 What is the highest education he/she achieved?";
label var  MaritalS  	"QH15.6 What is his/her marital status?";
label var  Town      	"QH15.7 In what town etc does he/she live?";
label var  Province  	"QH15.8 In what province is that located?";
label var  HowOften  	"QH15.9 How often do you visit together?";
label var  MoneyPas  "QH15.10 How much money have you given in the past 12 months?";	
label var  Employed  "QH15.11 is he/she employed?";	
label var  Occupati  	"QH15.12 What is his/her occupation?";
label var  Occupat1  	"QH15.12 Code of occupation?";
label var  MonthSal  	"QH15.13 How much does he/she earn in a month?";
label var  Financia  	"QH15.14 Is he/she better off than this household?";
label var  PeopleIn  	"QH15.15 How many people are in the household he/she lives in?";
label var  WhyGiveM  "QH15.16 Why do you give him/her money?";	
label var  ContactI  	"QH15.17 Is there any way of contacting him/her?";




compress;
sort Hhid PCode;

save  C:\statalang\younger\youngergivemon_01.dta,replace;



