#delimit;

*File used: C:\statalang\younger\youngerhelpe.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngerhelpe.dta,replace;

label data "Younger Adult Module QK11.6 ,Help with answers, pg.27";

rename Househol Hhid;

destring Hhid PCode WhoHelpe; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var WhoHelpe "QK11.6 Who helped answer, codes from board A1?";	 

format Hhid %10.0f;

compress;
sort Hhid PCode;

save C:\statalang\younger\youngerhelp_01.dta,replace;



   			
