#delimit;

*File used: C:\statalang\younger\youngerj.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngerj.dta,replace;

label data "Younger Adult Module QH6.0a ,do you have a regular job?, pg.6";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var Job "QH6.0a Do you have a regular job from one employer etc.";	 

format Hhid %10.0f;

compress;
sort Hhid PCode;

save C:\statalang\younger\youngerjob_01.dta,replace;



   			
