#delimit;

*File used: C:\statalang\younger\youngerlanguagesused.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngerlanguagesused.dta,replace;

label data "Younger Adult Module QK11.2 ,Languages used in interview p27.";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var Language "QK11.2 Languages used in interview?";	 
rename Other Other_L;
label var Other_L "QK11.2 Description of other languages";


format Hhid %10.0f;

compress;
sort Hhid PCode;

save C:\statalang\younger\youngerlang_01.dta,replace;



   			
