#delimit;

*File used: C:\statalang\younger\youngeroddjo.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngeroddjo.dta,replace;

label data "Younger Adult Module QH6.2 ,Odd jobs pg6.";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";
label var Descript "QH6.2 What type of odd jobs do you do?";	 
label var HowLongM "QH6.2a How long have you been working in this job, months?";
label var HowLongY "QH6.2a  How long have you been working in this job, years?";
label var HoursPer "QH6.2b How many hours do you work per week doing odd jobs?";
label var WeeksPer "QH6.2c How many weeks do you work each year?";
label var SalaryPe "QH6.2d How much do you earn doing odd jobs in a month?";

format Hhid %10.0f;

compress;
sort Hhid PCode;

save C:\statalang\younger\youngeroddjo_01.dta,replace;



   			
