#delimit;

*File used: C:\statalang\younger\youngersocialintegration.dta, from access database*;
*program labels and orders younger adult module variables*;

clear all;

use C:\statalang\younger\youngersocialintegration.dta,replace;

label data "Younger Adult Module Section K, Social Integration and Life Satisfaction pg.24";

rename Househol Hhid;

destring Hhid PCode; *This program is from STB 37 dm45*;
sort Hhid;

label var Hhid "Household ID";
label var PCode "Person Code";	    		
label var  ChurchMe "QK3.1a Church or mosque";	
label var  ChurchPa	"QK3.1b How often do you participate?";
label var  SocialCh	"QK3.2a Social charity";
label var  SocialC1	"QK3.2b How often do you participate?";
label var  ChoirMem	"QK3.3a Choir";
label var  ChoirPar	"QK3.3b How often do you participate?";
label var  SeniorCe	"QK3.4a Senior centre or luncheon club";
label var  SeniorC1	"QK3.4b How often do you participate?";
label var  LabourUn	"QK3.5a Labour or trade union";
label var  LabourU1	"QK3.5b How often do you participate?";
label var  Associat	"QK3.6a Professional or business association";
label var  Associa1	"QK3.6b How often do you participate?";
label var  SportMem	"QK3.7a Sports club";
label var  SportPar	"QK3.7b How often do you participate?";
label var  OtherMem	 "QK3.8a Other";
label var  OtherDes	"QK3.8a Description of other";
label var  OtherPar	"QK3.8b How often do you participate?"; 
label var  FamilyRe	"QK4.1 Do people in your family respect your opinion?";
label var  Communit	"QK4.2 Do people in your community respect your opinion?";
label var  Communi1	"QK4.3 Can people in your community be trusted?";
label var  TrustGov	"QK4.4 Do you trust the government?";
label var  TrustOld	"QK4.5 Do you trust old people more than young?";
label var  ShareWor	"QK5 Do you have someone to speak to?";
label var  FirstPer	"QK5a If yes who is the first person you would speak to?";
label var  HowOften	"QK5b How often do you speak to this person?";
label var  Religion	"QK6 How important is religion in your life?";
label var  WhatReli	"QK6a What is your religion?";
label var  OtherRel	"QK6a Description of other religions";
label var  Past12Mo	"QK7 Have you been the victim of crime in the past 12 months?";
label var  WhatCrim	"QK7a If yes, what crimes?";
label var  ChangeBe	"QK7b Did you change your behaviour as a result of the crime?";
label var  Vote1994	"QK8 Did you vote in the 1994 elections?";
label var  Vote1999	"QK8b Did you vote in the 1999 elections?";
label var  MainProb	"QK9 What are the main problems in your life now?";
label var  MainHapp	"QK10 What are the main sources of happiness in your life now?";
 


compress;
sort Hhid PCode;

save C:\statalang\younger\youngersocialintegration_01.dta,replace;



